Bug 1541846 (CVE-2018-1000026) - CVE-2018-1000026 kernel: Improper validation in bnx2x network card driver can allow for denial of service attacks via crafted packet
Summary: CVE-2018-1000026 kernel: Improper validation in bnx2x network card driver can...
Status: NEW
Alias: CVE-2018-1000026
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20180112,repor...
Keywords: Security
Depends On: 1541859 1546761 1546744 1546760 1546762 1546763
Blocks: 1541849
TreeView+ depends on / blocked
 
Reported: 2018-02-05 04:16 UTC by Sam Fowler
Modified: 2019-02-08 15:03 UTC (History)
44 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Improper validation in the bnx2x network card driver of the Linux kernel version 4.15 can allow for denial of service (DoS) attacks via a packet with a gso_size larger than ~9700 bytes. Untrusted guest VMs can exploit this vulnerability in the host machine, causing a crash in the network card.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2948 None None None 2018-10-30 08:57 UTC
Red Hat Product Errata RHSA-2018:3083 None None None 2018-10-30 07:31 UTC
Red Hat Product Errata RHSA-2018:3096 None None None 2018-10-30 07:37 UTC

Description Sam Fowler 2018-02-05 04:16:56 UTC
Improper validation in the bnx2x network card driver of the Linux kernel version 4.15 can allow for denial of service (DoS) attacks via a packet with a gso_size larger than ~9700 bytes. Untrusted guest VMs can exploit this vulnerability in the host machine, causing a crash in the network card.

References:

https://patchwork.ozlabs.org/patch/859410/

https://marc.info/?t=151606867000005&r=1&w=2

http://lists.openwall.net/netdev/2018/01/16/40

http://lists.openwall.net/netdev/2018/01/18/96

Upstream commits:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=8914a595110a6eca69a5e275b323f5d09e18f4f9

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=2b16f048729bf35e6c28a40cbfad07239f9dcd90

Comment 3 Vladis Dronov 2018-02-19 13:48:53 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1546744]

Comment 6 Vladis Dronov 2018-02-19 14:46:29 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5 and 6, as supported configurations are not affected.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 7, its real-time kernel, Red Hat Enterprise MRG 2, Red Hat Enterprise Linux 7 for ARM 64 and Red Hat Enterprise Linux 7 for Power 9 LE. Future Linux kernel updates for the respective releases may address this issue.

Comment 7 Fedora Update System 2018-02-23 15:33:20 UTC
kernel-4.15.4-200.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 errata-xmlrpc 2018-10-30 07:31:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3083 https://access.redhat.com/errata/RHSA-2018:3083

Comment 11 errata-xmlrpc 2018-10-30 07:37:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3096 https://access.redhat.com/errata/RHSA-2018:3096

Comment 12 errata-xmlrpc 2018-10-30 08:57:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2948 https://access.redhat.com/errata/RHSA-2018:2948


Note You need to log in before you can comment on or make changes to this bug.